# Class ViewHips2fitsActivationType

java.lang.Object
uk.ac.starlink.topcat.activate.ViewHips2fitsActivationType

All Implemented Interfaces:
  `ActivationType`

public class ViewHips2fitsActivationType extends Object implements ActivationType
Activation type that acquires an image from the CDS Hips2fits service and displays it in the basic image viewer.

Since:
  23 Oct 2019
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`ViewHips2fitsActivationType()`

## Method Summary

Modifier and Type
Method
Description
`ActivatorConfigurator`
`createConfigurator(TopcatModelInfo tinfo)`
Returns a component that can be used to configure activators of this type.
`String`
`getDescription()`
Description of this activation type.
`String`
`getName()`
Name of this activation type.
`Suitability`
`getSuitability(TopcatModelInfo tinfo)`
Indicates the applicability of this activation type to a given table.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ViewHips2fitsActivationType

public ViewHips2fitsActivationType()

## Method Details

### getName

public String getName()
Description copied from interface: `ActivationType`
Name of this activation type.

Specified by:
  `getName` in interface `ActivationType`
Returns:
  type name

### getDescription

public String getDescription()
Description copied from interface: `ActivationType`
Description of this activation type.

Specified by:
  `getDescription` in interface `ActivationType`
Returns:
  type description

### getSuitability

public Suitability getSuitability(TopcatModelInfo tinfo)
Description copied from interface: `ActivationType`
Indicates the applicability of this activation type to a given table.

Specified by:
  `getSuitability` in interface `ActivationType`
Parameters:
  `tinfo` - information about topcat model
Returns:
  suitability code

### createConfigurator

public ActivatorConfigurator createConfigurator(TopcatModelInfo tinfo)
Description copied from interface: `ActivationType`
Returns a component that can be used to configure activators of this type.

Specified by:
  `createConfigurator` in interface `ActivationType`
Parameters:
  `tinfo` - information about topcat model for which the activation will take place
Returns:
  new configurator to produce compatible Activators